Extending Qt Creator Manual | CustomWizardParameters

Extending Qt Creator Manual 4.7.1

# CustomWizardParameters Class

(ProjectExplorer::Internal::CustomWizardParameters)

- List of all members, including inherited members

## Public Types

enum | ParseResult { ParseOk, ParseDisabled, ParseFailed }

## Public Functions

| CustomWizardParameters()
void | clear()
ProjectExplorer::Internal::CustomWizardParameters::ParseResult | parse(int &device, const int &configFileFullPath, int *errorMessage)
ProjectExplorer::Internal::CustomWizardParameters::ParseResult | parse(const int &configFileFullPath, int *errorMessage)

## Member Type Documentation

### enum CustomWizardParameters::ParseResult

## Member Function Documentation

### CustomWizardParameters::CustomWizardParameters()

Default constructs an instance of CustomWizardParameters.

### void CustomWizardParameters::clear()

### ProjectExplorer::Internal::CustomWizardParameters::ParseResult CustomWizardParameters::parse(int &device, const int &configFileFullPath, int *errorMessage)

### ProjectExplorer::Internal::CustomWizardParameters::ParseResult CustomWizardParameters::parse(const int &configFileFullPath, int *errorMessage)